mod static pages werkt niet meer in php5.6.20

Hulp nodig bij een modificaties of op zoek naar een MOD?
Forumregels

LEES: Richtlijnen voor Support. Vul de support template in!
phpBB3.0.x
Verschaf iemand geen servertoegang tenzij het niet anders kan. Maak altijd eerst een volledige backup en verander de inloggevens na afloop. Eigen risico.
Plaats reactie
cubaplaza
Berichten: 26
Lid geworden op: 09 jun 2016, 13:59

mod static pages werkt niet meer in php5.6.20

Bericht door cubaplaza » 16 jul 2016, 14:51

na php-update door provider naar versie 5.6.20 geven alle paginas van static page mod. melding 'pagina bestaat niet meer'

Jim
Beheerder
Beheerder
Berichten: 3879
Lid geworden op: 21 feb 2007, 14:53
Locatie: Groningen
Contacteer:

Re: mod static pages werkt niet meer in php5.6.20

Bericht door Jim » 16 jul 2016, 21:31

Dat is het risico wat je loopt met oude MODs. Ondersteuning voor dit soort problemen zou je bij de auteur moeten zoeken, maar die lijkt helaas ook op phpBB.com niet meer actief te zijn. Wat ik je wel kan vertellen is dat er voor phpBB 3.1 wel een officiële extensie is die exact hetzelfde doet, en die ook door het phpBB.com Extensies Team wordt ondersteund. Misschien het overwegen waard.

Als je toch op phpBB 3.0 wilt blijven, dan is er ook een Engelse hulpgids beschikbaar die je kan helpen om handmatig nieuwe statische pagina's aan te maken.

Knowledge Base - Add a New Custom Page to phpBB
Jim Mossing Holsteyn - Beheerder
Documentatie | Algemene voorwaarden | Wiki

Heb je suggesties over het verbeteren van phpBB.nl of andere site-gerelateerde vragen? Stuur me een PB!

cubaplaza
Berichten: 26
Lid geworden op: 09 jun 2016, 13:59

Re: mod static pages werkt niet meer in php5.6.20

Bericht door cubaplaza » 17 jul 2016, 15:18

bedankt voor je reactie Jim,
Ikzelf heb weinig tot geen kaas gegeten van het installeren, updaten en onderhouden van phpbb3.
Wil graag overstappen naar 3.1 en indien mogelijk met behoudt van (een antal) mods.
Ik wil als nieuwkomer op phpbb.nl niet al gelijk bij mijn eerste post gaan vragen of jullie bij mij de boel even op orde willen brengen. ;) Zal me eerst eens wat inlezen in het 3.1 gebeuren. Kan (mag?) ik daarna misschien nog altijd om bijstand vragen.

Jim
Beheerder
Beheerder
Berichten: 3879
Lid geworden op: 21 feb 2007, 14:53
Locatie: Groningen
Contacteer:

Re: mod static pages werkt niet meer in php5.6.20

Bericht door Jim » 17 jul 2016, 15:30

Het is helaas niet mogelijk om je geinstalleerde MODs te behouden bij een overgang van 3.0 naar 3.1, het gehele systeem is namelijk veranderd. Voor aanpassingen aan je forum kan je nu veel makkelijkere extensies installeren. Dat houdt in dat je geen code-aanpassingen meer hoeft te doen en alleen maar wat bestanden hoeft te uploaden naar de "ext" map op je server en dan in je Beheerderspaneel de extensie kan activeren. Ook een aangepaste stijl van 3.0 kan je helaas niet meenemen naar 3.1.

Toch raden wij het wel ten strengste aan om na te gaan denken over een overgang naar 3.1 aangezien de 3.0.x serie al op een "End of Life" fase zit, wat inhoudt dat er bij problemen geen nieuwe versies meer worden uitgebracht. Support komt aan het einde van dit jaar volledig aan zijn einde, wat betekend dat we vanaf dan alleen nog maar ondersteuning bieden voor upgrades, en niks anders meer. Verdere informatie over het upgraden van 3.0 naar 3.1 valt te vinden in dit artikel. :)

We willen graag al je vragen beantwoorden en alle ondersteuning bieden om je te helpen je eigen forum zelf naar 3.1 te upgraden en hier zelf wat meer bekend mee te raken. Mocht je er echter na deze hulp zelf echt nier meer uitkomen is er altijd nog het Service Team, waar je een aanvraag kan indienen.
Jim Mossing Holsteyn - Beheerder
Documentatie | Algemene voorwaarden | Wiki

Heb je suggesties over het verbeteren van phpBB.nl of andere site-gerelateerde vragen? Stuur me een PB!

Gebruikersavatar
Ger
Moderator-team
Moderator-team
Berichten: 4822
Lid geworden op: 03 jan 2006, 22:23
Locatie: 192.68.1.100
Contacteer:

Re: mod static pages werkt niet meer in php5.6.20

Bericht door Ger » 18 jul 2016, 10:17

Zoals Jim aangeeft: de static pages MOD is verouderd, evenals de phpBB versie die je gebruikt. Beste advies is om te updaten inderdaad.

Maar tot die tijd, toch even een handreiking. :)
Ik zie namelijk dat bij bijvoorbeeld met menu-item Hotels deze URL niet meer werkt:
http://cubaplaza.nl/hotels

Die hoort door te verwijzen naar:
http://cubaplaza.nl/page.php?p=hotels

En die werkt wel. Autoverhuur idem dito. Het probleem zit hem dus in de "SEO URLS". Normaliter hoor je die in te stellen zoals beschreven in deze handleiding van de MOD. Ook met php 5.6.x zou dit gewoon moeten werken. Is je .htaccess bestand misschien beschadigd/verwijderd bij de update?

cubaplaza
Berichten: 26
Lid geworden op: 09 jun 2016, 13:59

Re: mod static pages werkt niet meer in php5.6.20

Bericht door cubaplaza » 18 jul 2016, 22:15

bedankt voor je reactie Ger,

Klinkt mij al behoorlijk ingewikkeld in de oren, dat .htaccess-gebeuren. En daarnaast is mijn ervaring dat als ik zelf ga liggen knutselen, het geheid verkeerd afloopt... :cry:
Ga toch maar eens een serviceverzoek indienen om dat probleem alvast te laten tacklen. Envervolgens toch maar verdergaan op 3.1.

Gebruikersavatar
Ger
Moderator-team
Moderator-team
Berichten: 4822
Lid geworden op: 03 jan 2006, 22:23
Locatie: 192.68.1.100
Contacteer:

Re: mod static pages werkt niet meer in php5.6.20

Bericht door Ger » 19 jul 2016, 08:07

In dit geval is het niet zo moeilijk, we kunnen je er wel doorheen praten. Eerst en vooral zorgen voor een backup, dan kun je altijd terug. :)

Kijk eens in de bestanden van het forum, dus via (s)FTP bijvoorbeeld. Als het goed is zie je in de root van je forum een bestand staan wat .htaccess heet. Kun je de inhoud daarvan eens hier tussen code-tags plakken?

cubaplaza
Berichten: 26
Lid geworden op: 09 jun 2016, 13:59

Re: mod static pages werkt niet meer in php5.6.20

Bericht door cubaplaza » 19 jul 2016, 22:52

Code: Selecteer alles

<IfModule mod_deflate.c>
    SetOutputFilter DEFLATE
    <IfModule mod_setenvif.c>
        # Netscape 4.x has some problems...
        BrowserMatch ^Mozilla/4 gzip-only-text/html
        
        # Netscape 4.06-4.08 have some more problems
        BrowserMatch ^Mozilla/4\.0[678] no-gzip
        
        # MSIE masquerades as Netscape, but it is fine
        # BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
        
        # NOTE: Due to a bug in mod_setenvif up to Apache 2.0.48
        # the above regex won't work. You can use the following
        # workaround to get the desired effect:
        BrowserMatch \bMSI[E] !no-gzip !gzip-only-text/html
        
        # Don't compress images
        SetEnvIfNoCase Request_URI .(?:gif|jpe?g|png)$ no-gzip dont-vary
    </IfModule>
    
    <IfModule mod_headers.c>
        # Make sure proxies don't deliver the wrong content
        Header append Vary User-Agent env=!dont-vary
    </IfModule>
</IfModule>

Gebruikersavatar
Ger
Moderator-team
Moderator-team
Berichten: 4822
Lid geworden op: 03 jan 2006, 22:23
Locatie: 192.68.1.100
Contacteer:

Re: mod static pages werkt niet meer in php5.6.20

Bericht door Ger » 20 jul 2016, 08:08

Daar ontbreekt inderdaad iets. Maak eens een backup van dat bestand en zet onder bovenstaande code dit:

Code: Selecteer alles

RewriteEngine On
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^([A-Za-z0-9-+]+)$ ./page.php?p=$1 [L]
Als je het dan terug upload zou het normaliter moeten werken.

cubaplaza
Berichten: 26
Lid geworden op: 09 jun 2016, 13:59

Re: mod static pages werkt niet meer in php5.6.20

Bericht door cubaplaza » 20 jul 2016, 12:20

Regels toegevoegd aan .htaccess en via ftp weer geupload. Helaas niks veranderd, ook niet na cache te hebben geleegd.

Gebruikersavatar
Ger
Moderator-team
Moderator-team
Berichten: 4822
Lid geworden op: 03 jan 2006, 22:23
Locatie: 192.68.1.100
Contacteer:

Re: mod static pages werkt niet meer in php5.6.20

Bericht door Ger » 20 jul 2016, 13:12

Dan heb je waarschijnlijk het verkeerde bestand te pakken.
Je moet het .htaccess bestand hebben wat in de root van je forum staat. Dat is in dezelfde map waar ook config.php, common.php, viewforum.php, viewtopic.php etc. in staat. Ik gok dat dit bij jou de map public_html of iets in die richting is, maar dat verschilt per host.

cubaplaza
Berichten: 26
Lid geworden op: 09 jun 2016, 13:59

Re: mod static pages werkt niet meer in php5.6.20

Bericht door cubaplaza » 20 jul 2016, 14:22

Hallo Ger,
Dan zou het om deze code gaan?

Code: Selecteer alles

#
# Uncomment the statement below if you want to make use of
# HTTP authentication and it does not already work.
# This could be required if you are for example using PHP via Apache CGI.
#
#<IfModule mod_rewrite.c>
#RewriteEngine on
#RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]
#</IfModule>

# With Apache 2.4 the "Order, Deny" syntax has been deprecated and moved from
# module mod_authz_host to a new module called mod_access_compat (which may be
# disabled) and a new "Require" syntax has been introduced to mod_authz_host.
# We could just conditionally provide both versions, but unfortunately Apache
# does not explicitly tell us its version if the module mod_version is not
# available. In this case, we check for the availability of module
# mod_authz_core (which should be on 2.4 or higher only) as a best guess.
<IfModule mod_version.c>
	<IfVersion < 2.4>
<Files "config.php">
Order Allow,Deny
Deny from All
</Files>
<Files "common.php">
Order Allow,Deny
Deny from All
</Files>
DirectoryIndex portal.php index.php index.html index.htm

<Files 403.shtml>
order allow,deny
allow from all
</Files>

RewriteEngine On
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^([A-Za-z0-9\-\+]+)$ ./page.php?p=$1 [L]

deny from 213.189.9.27

deny from 213.189.27.56

RewriteRule .*\.()$ - [F,NC]

RewriteRule .*\.()$ - [F,NC]

RewriteRule .*\.()$ - [F,NC]

RewriteRule .*\.()$ - [F,NC]

	</IfVersion>
	<IfVersion >= 2.4>
		<Files "config.php">
			Require all denied
		</Files>
		<Files "common.php">
			Require all denied
		</Files>
	</IfVersion>
</IfModule>
<IfModule !mod_version.c>
	<IfModule !mod_authz_core.c>
		<Files "config.php">
			Order Allow,Deny
			Deny from All
		</Files>
		<Files "common.php">
			Order Allow,Deny
			Deny from All
		</Files>
	</IfModule>
	<IfModule mod_authz_core.c>
		<Files "config.php">
			Require all denied
		</Files>
		<Files "common.php">
			Require all denied
		</Files>
	</IfModule>
</IfModule>

RewriteCond %{HTTP_REFERER} !^$
RewriteCond %{HTTP_REFERER} !^http://cubaplaza.nl/.*$      [NC]
RewriteCond %{HTTP_REFERER} !^http://cubaplaza.nl$      [NC]
RewriteCond %{HTTP_REFERER} !^http://www.cubaplaza.nl/.*$      [NC]
RewriteCond %{HTTP_REFERER} !^http://www.cubaplaza.nl$      [NC]
RewriteCond %{HTTP_REFERER} !^https://cubaplaza.nl/.*$      [NC]
RewriteCond %{HTTP_REFERER} !^https://cubaplaza.nl$      [NC]
RewriteCond %{HTTP_REFERER} !^https://www.cubaplaza.nl/.*$      [NC]
RewriteCond %{HTTP_REFERER} !^https://www.cubaplaza.nl$      [NC]
RewriteRule .*\.(jpg|jpeg|gif|png|bmp)$ - [F,NC]

Het stukje code wat daar in zit wijkt iets af van de code die jij mij aangereikt hebt (onderste van deze 2):

Code: Selecteer alles

RewriteEngine On
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^([A-Za-z0-9\-\+]+)$ ./page.php?p=$1 [L]

Code: Selecteer alles

RewriteEngine On
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^([A-Za-z0-9-+]+)$ ./page.php?p=$1 [L]

Gebruikersavatar
Ger
Moderator-team
Moderator-team
Berichten: 4822
Lid geworden op: 03 jan 2006, 22:23
Locatie: 192.68.1.100
Contacteer:

Re: mod static pages werkt niet meer in php5.6.20

Bericht door Ger » 20 jul 2016, 14:47

Ik zie dat het rewrite block waar we over praten alleen wordt uitgevoerd bij oudere Apache versies, het staat namelijk tussen

Code: Selecteer alles

   <IfVersion < 2.4>
...
   </IfVersion>
Dat zou ook verklaren dat met een update van je hosting partij, dit niet meer werkt. De nieuwste Apache versie is namelijk 2.4, dus goede kans dat dit nu op je host geïnstalleerd is. Maak voor de zekerheid weer een backup van dit bestand, en zet deze versie online:

Code: Selecteer alles

#
# Uncomment the statement below if you want to make use of
# HTTP authentication and it does not already work.
# This could be required if you are for example using PHP via Apache CGI.
#
#<IfModule mod_rewrite.c>
#RewriteEngine on
#RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]
#</IfModule>

# With Apache 2.4 the "Order, Deny" syntax has been deprecated and moved from
# module mod_authz_host to a new module called mod_access_compat (which may be
# disabled) and a new "Require" syntax has been introduced to mod_authz_host.
# We could just conditionally provide both versions, but unfortunately Apache
# does not explicitly tell us its version if the module mod_version is not
# available. In this case, we check for the availability of module
# mod_authz_core (which should be on 2.4 or higher only) as a best guess.
<IfModule mod_version.c>
   <IfVersion < 2.4>
<Files "config.php">
Order Allow,Deny
Deny from All
</Files>
<Files "common.php">
Order Allow,Deny
Deny from All
</Files>
DirectoryIndex portal.php index.php index.html index.htm

<Files 403.shtml>
order allow,deny
allow from all
</Files>

deny from 213.189.9.27

deny from 213.189.27.56

RewriteRule .*\.()$ - [F,NC]

RewriteRule .*\.()$ - [F,NC]

RewriteRule .*\.()$ - [F,NC]

RewriteRule .*\.()$ - [F,NC]

   </IfVersion>
   <IfVersion >= 2.4>
      <Files "config.php">
         Require all denied
      </Files>
      <Files "common.php">
         Require all denied
      </Files>
   </IfVersion>
</IfModule>
<IfModule !mod_version.c>
   <IfModule !mod_authz_core.c>
      <Files "config.php">
         Order Allow,Deny
         Deny from All
      </Files>
      <Files "common.php">
         Order Allow,Deny
         Deny from All
      </Files>
   </IfModule>
   <IfModule mod_authz_core.c>
      <Files "config.php">
         Require all denied
      </Files>
      <Files "common.php">
         Require all denied
      </Files>
   </IfModule>
</IfModule>

RewriteEngine On
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^([A-Za-z0-9\-\+]+)$ ./page.php?p=$1 [L]


RewriteCond %{HTTP_REFERER} !^$
RewriteCond %{HTTP_REFERER} !^http://cubaplaza.nl/.*$      [NC]
RewriteCond %{HTTP_REFERER} !^http://cubaplaza.nl$      [NC]
RewriteCond %{HTTP_REFERER} !^http://www.cubaplaza.nl/.*$      [NC]
RewriteCond %{HTTP_REFERER} !^http://www.cubaplaza.nl$      [NC]
RewriteCond %{HTTP_REFERER} !^https://cubaplaza.nl/.*$      [NC]
RewriteCond %{HTTP_REFERER} !^https://cubaplaza.nl$      [NC]
RewriteCond %{HTTP_REFERER} !^https://www.cubaplaza.nl/.*$      [NC]
RewriteCond %{HTTP_REFERER} !^https://www.cubaplaza.nl$      [NC]
RewriteRule .*\.(jpg|jpeg|gif|png|bmp)$ - [F,NC]

cubaplaza
Berichten: 26
Lid geworden op: 09 jun 2016, 13:59

Re: mod static pages werkt niet meer in php5.6.20

Bericht door cubaplaza » 20 jul 2016, 19:04

Gelukt!! :D :D

Gebruikersavatar
Ger
Moderator-team
Moderator-team
Berichten: 4822
Lid geworden op: 03 jan 2006, 22:23
Locatie: 192.68.1.100
Contacteer:

Re: mod static pages werkt niet meer in php5.6.20

Bericht door Ger » 21 jul 2016, 07:33

Fijn zo! :D

Ik wil je wel adviseren om voor de lange termijn eens een plan te maken om te upgraden naar 3.1 of 3.2 (nog niet uit, maar wel bijna klaar). Nu hebben wij je nog kunnen helpen, maar 3.0 is inmiddels wel weer bijna 9 jaar oud en zo goed als afgeschreven (zoals Jim al schreef; ondersteuning hiervoor eindigt dit jaar).

cubaplaza
Berichten: 26
Lid geworden op: 09 jun 2016, 13:59

Re: mod static pages werkt niet meer in php5.6.20

Bericht door cubaplaza » 21 jul 2016, 12:04

Het is zeer zeker de bedoeling om binnenkort de overstap te gaan maken.
Ik wil me eerst een beetje inlezen in wat 3.1.allemaal te bieden heeft en ook eerst op een rijtje zetten welke mods cq. extensies ik wil gaan gebruiken.
Lees dat 3.2 inmiddels ook in aantocht is. Misschien daar nog op wachten?

Gebruikersavatar
Ger
Moderator-team
Moderator-team
Berichten: 4822
Lid geworden op: 03 jan 2006, 22:23
Locatie: 192.68.1.100
Contacteer:

Re: mod static pages werkt niet meer in php5.6.20

Bericht door Ger » 21 jul 2016, 13:13

Ik kan je niet vertellen wanneer 3.2 live is, dus een hard advies kan ik je ook niet geven. Ik verwacht wel voordat we met de voeten in de sneeuw zitten, maar met het weer van tegenwoordig weet je maar nooit wanneer het gaat sneeuwen. :mrgreen:

Gelukkig zijn de verschillen tussen 3.1 en 3.2 niet zo héél groot. Extensies zullen in de meeste gevallen gewoon blijven werken, stijlen zijn vlot aangepast en dus veelal ook eenvoudig bruikbaar (te maken) voor 3.2. Als ik jou was zou ik dus inventariseren wat je eisen en wensen zijn, kijken wat je met de stijl e.d. wil en als je zover bent eens zien of 3.2 al beschikbaar is. Zoniet, dan update je naar 3.1 en kijk je op een later moment naar 3.2 als die klaar is. Updaten zal dan niet zo bijzonder veel werk zijn, vooral ook omdat je als het goed is niets meer aanpast aan de core files zoals je met modificaties doet in 3.0.

Plaats reactie